<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Repository;

use App\Scolarite\Domain\Model\Evaluation\ClassStatistics;
use App\Scolarite\Domain\Model\Evaluation\EvaluationId;

interface EvaluationStatisticsRepository
{
    public function save(EvaluationId $evaluationId, ClassStatistics $statistics): void;

    public function findByEvaluation(EvaluationId $evaluationId): ?ClassStatistics;

    public function delete(EvaluationId $evaluationId): void;
}
